﻿Module Module1

    Sub Main()
        'DataTableオブジェクトを生成
        Dim dt As New DataTable("Personal")

        'DataTableオブジェクトに列を追加
        dt.Columns.Add("last_name", Type.GetType("System.String"))
        dt.Columns.Add("first_name", Type.GetType("System.String"))
        dt.Columns.Add("age", Type.GetType("System.Int32"))

        'ループ
        While True
            'メニューを表示
            Console.WriteLine("次のメニューから選んでください。")
            Console.Write("1)追加　　2)一覧　　9)終了：")
            Dim menunum As String = Console.ReadLine()

            'メニューに応じて処理を分岐
            Select Case menunum
                Case "1"
                    'データを入力
                    Console.Write("姓：")
                    Dim lname As String = Console.ReadLine()
                    Console.Write("名：")
                    Dim fname As String = Console.ReadLine()
                    Console.Write("年齢：")
                    Dim age As Integer
                    Try
                        age = Int32.Parse(Console.ReadLine())
                    Catch ex As Exception
                        Console.WriteLine("年齢は数字を入力してください。")
                        Exit Select
                    End Try

                    'DataTableオブジェクトより新規行を取得
                    Dim dr As DataRow = dt.NewRow()

                    '取得した行にデータを設定
                    dr("last_name") = lname
                    dr("first_name") = fname
                    dr("age") = age

                    '新規行をDataTableオブジェクトに追加
                    dt.Rows.Add(dr)
                Case "2"
                    '表示するデータがない場合
                    If dt.Rows.Count = 0 Then
                        Console.WriteLine("表示するデータはありません。")
                        Exit Select
                    End If

                    'DataTableオブジェクトの行を表示
                    Console.WriteLine("姓" & vbTab & "名" & vbTab & "年齢")
                    For Each dtrow As DataRow In dt.Rows
                        Console.WriteLine("{0}" & vbTab & "{1}" & vbTab & "{2}", dtrow("last_name"), dtrow("first_name"), dtrow("age"))
                    Next
                Case "9"
                    Return
                Case Else
                    Console.WriteLine("正しい番号を入力してください。")
            End Select
            Console.WriteLine()
        End While
    End Sub

End Module
